Page MenuHomePhabricator

DEV: Minerva should use core watchstar code
Closed, ResolvedPublic

Description

Per our Super happy dev time meeting, we will be looking to consolidate code between Minerva and core wherever possible.

Back in the old days when Minerva/MobileFrontend was being built the watchstar in core was not seen as reusable enough to cover Minerva's multiple watchstars.
Given the looming desktop refresh (and the likelihood that minerva will go into maintenance) it seems favorable for Minerva to use the same watchstar as Vector.

QA steps

  • Click the watchstar when logged out - you should still see a CTA drawer.
  • Login and click the watchstar. The watchstar should change. After refreshing the page, the watchstar should remain as it was.
  • Login and do a search. Watch an article. Click on the search result and that article should be watched.
  • Visit Special:EditWatchlist and unwatch an article - when the page is refreshed it should no longer be on the watchlist.

Event Timeline

Jdlrobson created this task.Oct 8 2019, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 5:07 PM

Change 540168 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Make watchstar module reusable

https://gerrit.wikimedia.org/r/540168

Change 538114 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] POC: Use core watchstar code

https://gerrit.wikimedia.org/r/538114

Krinkle moved this task from Inbox to Doing on the Performance-Team board.
Krinkle added a subscriber: Krinkle.

(Will review the core change.)

Krinkle claimed this task.Oct 8 2019, 5:13 PM

Change 540169 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Use core watchstar code in Minerva

https://gerrit.wikimedia.org/r/540169

Change 540168 merged by jenkins-bot:
[mediawiki/core@master] Make watchstar module reusable

https://gerrit.wikimedia.org/r/540168

Krinkle triaged this task as Medium priority.Oct 9 2019, 7:32 PM
Krinkle removed Krinkle as the assignee of this task.Oct 10 2019, 5:07 PM
Krinkle edited projects, added Performance-Team (Radar); removed Performance-Team.
Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 538114 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Use core watchstar code

https://gerrit.wikimedia.org/r/538114

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptOct 15 2019, 10:56 PM
Jdlrobson renamed this task from Minerva should use core watchstar code to DEV: Minerva should use core watchstar code.Oct 21 2019, 8:04 PM
Jdlrobson updated the task description. (Show Details)

Change 540169 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Use core watchstar code and delete our own watchstar code

https://gerrit.wikimedia.org/r/540169

Jdlrobson closed this task as Resolved.Oct 29 2019, 9:30 PM

Done!